#include <iostream>
#include <cmath>

using namespace std;

class Tacka
{
public:
    int x,y;
    Tacka();
    void unos();
};
Tacka :: Tacka ()
{
    x = y = 0;
}
void Tacka :: unos()
{
    cin >> x;
    cin >> y;
}
class Trapez
{
private :
    double a,b,c,d;
public:
    Tacka A,B,C,D;
    Trapez();
    double duzina (Tacka A,Tacka B);
    void postavi_stranice();
    double stranica_a();
    double stranica_b();
    double stranica_c();
    double stranica_d();
    void unos();
};
Trapez :: Trapez()
{
    a = 0.00;
    b = 0.00;
    c = 0.00;
}
double Trapez :: duzina (Tacka A, Tacka B)
{
    return sqrt((A.y-B.y)*(A.y-B.y)+(A.x-B.x)*(A.x-B.x));
}
void Trapez :: postavi_stranice()
{
    a=duzina(A,B);
    b=duzina(C,D);
    c=duzina(B,C);
    d=duzina(A,D);
}
double Trapez :: stranica_a()
{
    return a;
}
double Trapez :: stranica_b()
{
    return b;
}
double Trapez :: stranica_c()
{
    return c;
}
double Trapez :: stranica_d()
{
    return d;
}
void Trapez :: unos()
{
    A.unos();
    B.unos();
    C.unos();
    D.unos();
    postavi_stranice();
}
int main()
{
    Trapez t;
    t.unos();
    if ((t.stranica_a()/t.stranica_b()) == 2 || (t.stranica_b()/t.stranica_a())==2 || (t.stranica_c()/t.stranica_d())==2 || (t.stranica_d()/t.stranica_c())==2)
        cout << 4;
    else cout << "Nema sumnjivih";
    return 0;
}